function [ ] = plotCar( streak1, streak2, speed1, speed2 )
%PLOTCAR Disegna l'auto
%   Parametri:

p1 = streak1(:,1);
p2 = streak1(:,2);
scatter(p1(1),p1(2),'filled','r');
scatter(p2(1),p2(2),'filled','r');

p3 = streak2(:,1);
p4 = streak2(:,2);
scatter(p3(1),p3(2),'filled','r');
scatter(p4(1),p4(2),'filled','r');

l = [p1 p2 p4 p3 p1];
line(l(1,:),l(2,:),'LineWidth',2,'Color','r');
l = [p1 p4];
line(l(1,:),l(2,:),'LineWidth',2,'Color','r');
l = [p2 p3];
line(l(1,:),l(2,:),'LineWidth',2,'Color','r');

lp1p4 = cross(cart2homo(p1),cart2homo(p4));
lp2p3 = cross(cart2homo(p2),cart2homo(p3));
p = cross(lp1p4, lp2p3);
p = homo2cart(p);

speed = mean([speed1 speed2]);
%var = abs(speed - speed1)/2;
string = sprintf('%3.2f Km/h', speed);
plotText(p, p, horzcat('\leftarrow', string), 'y', 12);
