function [ ] = plotText( p1, p2, string, textColor, textSize )
%PLOTTEXT Stampa l'etichetta sul segmento formato da due punti
%   Parametri:
%       p1:         vettore colonna primo punto
%       p2:         vettore colonna secondo punto
%       string:     testo da visuaizzare
%       textColor:  colore testo
%       textSize:   dimensione carattere

if(nargin < 5)
    textSize = 10;
end

if(nargin < 4)
    textColor = 'k';
end

x = (p1(1) + p2(1))/2;
y = (p1(2) + p2(2))/2;

text(x, y, string, 'Color', textColor, 'FontSize', textSize);
