function [ centers, boxes ] = getBoundingBoxCenter( bbox )
%GETBOUNDINGBOXCENTRE Restituisce il punto centrale di un BoundingBox
%   Parametri:
%       bbox:   bounding box

[m,n] = size(bbox);

centers = zeros(2,m);
boxes = zeros(2,4,m);
for k = 1:m
    % definisci i vertici
    a_c = [bbox(k,1) bbox(k,2)]';
    b_c = [bbox(k,1) bbox(k,2)+bbox(k,4)]';
    c_c = [bbox(k,1)+bbox(k,3) bbox(k,2)+bbox(k,4)]';
    d_c = [bbox(k,1)+bbox(k,3) bbox(k,2)]';
    
    centers(:,k) = mean([a_c c_c],2);
    boxes(:,:,k) = [a_c b_c c_c d_c];
end
