function [ p3 ] = getPointAtDistance( p1, p2, distp1 )
%GETPOINTATDISTANCE Restituisce un punto ad una certa distanza
%   Dati le coordinate di due punti, restituisce le
%   coordinate del punto che si trova ad una specifica
%   distanza dal primo punto sulla retta congiungente dei due punti

% angolo fra la retta congiungente e l'asse x
diff = p2 - p1;
teta = atan2((diff(2)),diff(1));
%teta = atan2((p2(2)-p1(2)),(p2(1)-p1(1)));

% calcola le coordinate del nuovo punto
p3(1) = p1(1) + distp1 * cos(teta);
p3(2) = p1(2) + distp1 * sin(teta);
p3 = p3';

return