function [ cart ] = homo2cart( homo )
%HOMO2CART Converte in coordinate cartesiane vettori colonna di punti in coordinate omogenee
%   Parametri:
%     homo: matrice vettori colonna in coordinate omogenee

[m,n] = size(homo);
cart = zeros(m-1,n);
for j=1:n
    cart(:,j) = homo(1:m-1,j) / homo(end,j);
end
return