function [ isInside ] = isPointInSegmentBounds( start, stop, point, toll )
%CONTROLPOINTSEGMENT Permette di controllare se un punto appartiene al
%box costituito dalle coodinate degli estremi
%   Parametri:
%       start:  Primo punto
%       stop:   Secondo punto
%       point:  Punto da controllare
%       toll:   Eventuale tolleranza in pixel

if(nargin < 4)
    toll = 0;
end

x = [start(1) stop(1)];
x = sort(x);
y = [start(2) stop(2)];
y = sort(y);

if(((x(1)-toll <= point(1)) && ( point(1)<= x(2)+toll)) && ((y(1)-toll <= point(2)) && ( point(2)<= y(2)+toll)))    
    isInside = 1;
else
	isInside = 0;
end

return
