function [ isExtern ] = externToVanishing( im, v, point )
%EXTERNTOVANISHING Controlla se il punto  esterno al vanishing point
%   Parametri:
%       im:     immagine
%       v:      vanishing point
%       point:	punto da controlalre

[m,n,p] = size(im);
if(v(2) < 0 || v(2) > m)
    isExtern = 0;
elseif((0 <= v(2)) && (v(2) <= (m/2)))
    % met superiore
    if(point(2) < v(2))
        isExtern = 1;
    else
        isExtern = 0;
    end
else
    % met inferiore
    if(point(2) > v(2))
        isExtern = 1;
    else
        isExtern = 0;
    end
end